Open CASCADE Technology: NCollection_DataMap< TheKeyType, TheItemType, Hasher >::DataMapNode Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
NCollection_DataMap< TheKeyType, TheItemType, Hasher >::DataMapNode Class Reference

`#include <NCollection_DataMap.hxx>`

Inheritance diagram for NCollection_DataMap< TheKeyType, TheItemType, Hasher >::DataMapNode:
[legend]

## Public Member Functions
| DataMapNode (const TheKeyType &theKey, const TheItemType &theItem, NCollection_ListNode *theNext)
| Constructor with 'Next'. More...
const TheKeyType & | Key (void) const
| Key. More...
Public Member Functions inherited from NCollection_TListNode< TheItemType >
| NCollection_TListNode (const TheItemType &theItem, NCollection_ListNode *theNext=NULL)
| Constructor. More...
const TheItemType & | Value () const
| Constant value access. More...
TheItemType & | ChangeValue ()
| Variable value access. More...
Public Member Functions inherited from NCollection_ListNode
| NCollection_ListNode (NCollection_ListNode *theNext)
| The only constructor. More...
NCollection_ListNode *& | Next (void)
| Next pointer access. More...
NCollection_ListNode * | Next (void) const
| Next pointer const access. More...

## Static Public Member Functions
static void | delNode (NCollection_ListNode *theNode, Handle< NCollection_BaseAllocator > &theAl)
| Static deleter to be passed to BaseMap. More...
Static Public Member Functions inherited from NCollection_TListNode< TheItemType >
static void | delNode (NCollection_ListNode *theNode, Handle< NCollection_BaseAllocator > &theAl)
| Static deleter to be passed to BaseList. More...

## Additional Inherited Members
Protected Attributes inherited from NCollection_TListNode< TheItemType >
TheItemType | myValue
| The item stored in the node. More...

## Constructor & Destructor Documentation

template<class TheKeyType, class TheItemType, class Hasher = NCollection_DefaultHasher<TheKeyType>>

NCollection_DataMap< TheKeyType, TheItemType, Hasher >::DataMapNode::DataMapNode | ( | const TheKeyType & | theKey,
|  | const TheItemType & | theItem,
|  | NCollection_ListNode * | theNext
| ) |  |
| inline

Constructor with 'Next'.

## Member Function Documentation

template<class TheKeyType, class TheItemType, class Hasher = NCollection_DefaultHasher<TheKeyType>>

static void NCollection_DataMap< TheKeyType, TheItemType, Hasher >::DataMapNode::delNode | ( | NCollection_ListNode * | theNode,
|  | Handle< NCollection_BaseAllocator > & | theAl
| ) |  |
| inlinestatic

Static deleter to be passed to BaseMap.

template<class TheKeyType, class TheItemType, class Hasher = NCollection_DefaultHasher<TheKeyType>>

const TheKeyType& NCollection_DataMap< TheKeyType, TheItemType, Hasher >::DataMapNode::Key | ( | void |  | ) | const
| inline

Key.

The documentation for this class was generated from the following file:

- NCollection_DataMap.hxx